Aller au menu - Aller au contenu

Centre d'aide Vous êtes ici : zCorrecteurs.fr > Les forums > Espace public > Vos questions aux zCorrecteurs… > PDO > Voir le sujet

PDO

Driver pour Mysql 5 ?

Résolu Le problème de ce sujet a été résolu.

Page : 1 
Auteur Message
0 membre et 1 visiteur.
Page : 1 
Hors ligne Feng-Huang # Posté le 28/12/2008 à 00 h 56
Messages : 2
Membres
Bonjour,

J'ai voulu installé PDO sur une debian etch via php-pear, mais après quelques recherche il semblerait qu'il n'existe pas de driver pour PDO_MYSQL pour la version 5 de MySQL, qu'en est-il vraiment ?
 
Hors ligne Ziame # Posté le 28/12/2008 à 00 h 57
Arx Tarpeia Capitoli proxima
Avatar de Ziame
Messages : 11523
Groupe : Administrateurs
Bonsoir,

bah normalement PDO est un module de PHP... Après pour les versions de MySQL supportées je ne saurai trop te dire, je vais laisser le soin à un zArchitecte de te répondre, ils sauront mieux que moi.

Si vous aimez écrire et que vous avez des choses à dire sur l'un des thèmes que couvre notre blog, n'hésitez pas ! ;)
 
Hors ligne Barbatos # Posté le 28/12/2008 à 01 h 12
Avatar de Barbatos
Messages : 1220
Groupe : zAnciens
Citation : Doc PHP
PDO_MYSQL est un pilote qui implémente l'interface de PHP Data Objects (PDO) pour autoriser l'accès de PHP aux bases de données de MySQL 3.x, 4.x. et 5.x.

Charles Duprey
Mon twitter - Mon compte Github - Mon compte Linkedin
Membre de l'équipe de développement du jeu Urban Terror
 
Hors ligne Feng-Huang # Posté le 28/12/2008 à 02 h 35
Messages : 2
Membres
Je demandais comment (ou plutot où) se procurer une version du driver compatible avec MySQL 5.x ?

EDIT : bon finalement en essayant des mots-clés différents j'ai fini par trouver.
Pour ceux que ça intéresse, ce lien (avant dernier post) propose une solution rapide (bien que discutable), ajouter un dépôt non-officiels au sources.list et mettre à jour la plateforme LAMP. Puis éditer le fichier php.ini . Attention toutefois une faute de l'auteur de cet avant dernier message, une étourderie surement : il faut bien mettre "extension=pdo.so et extension=pdo_mysql.so" et non pas "dbo.so" comme indiqué.
Modifié le 28/12/2008 à 04 h 13 par Feng-Huang
 
Hors ligne Talus # Posté le 28/12/2008 à 14 h 07
Bwhahaha.
Avatar de Talus
Messages : 27
Groupe : Équipe SdZ
Feng-Huang, il me semble, normalement, que PDO s'active pour toutes les versions de MySQL... Et ca dépend non pas de la version PDO (ou de son driver), mais de la version installée de MySQL...
 

Retour au forum Vos questions aux zCorrecteurs… ou à la liste des forums